import { ApiKeyManager } from "@esri/arcgis-rest-request";
import { queryFeatures } from "@esri/arcgis-rest-feature-service";

const accessToken = "YOUR_ACCESS_TOKEN";

const authentication = ApiKeyManager.fromKey(accessToken);

queryFeatures({
  url: "https://services3.arcgis.com/GVgbJbqm8hXASVYi/arcgis/rest/services/LA_County_Parcels/FeatureServer/0",
  where: "UseType = 'Residential'",
  resultRecordCount: 1,
  authentication
}).then((response) => {
  console.log(response.features);
});


